<div class="transaction-registered-home-view">
    <div class="card-group">
        <div class="card-col pr-0 pb-0 pl-0 w-100">
            <div class="card bg-white border-0 rounded-0 tab-title">
                <div class="card-body pt-0 pr-3 pb-0 pl-3">
                    <div class="card-title mb-0">
                        <div class="d-table w-100">
                            <div class="d-table-cell w-auto text-truncate pr-1">
                                <span class="bold text-dark size24">
                                    {{ tab.title[appService.lang] | titlecase }}
                                </span>
                            </div>
                            <div class="d-table-cell btn-toggle">
                                <button
                                    type="button"
                                    class="navbar-toggler"
                                    (click)="tab.isCollapsed = !tab.isCollapsed">
                                    <i class="fas fa-bars"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="dropdown-divider mt-2 mb-0"></div>
            <div class="tabset">
                <div [ngbCollapse]="tab.isCollapsed">
                    <ul
                        ngbNav
                        class="nav-tabs"
                        #tabContent="ngbNav"
                        (activeId)="tab.active"
                        (navChange)="tab.onChange($event)">
                        <li
                            [ngbNavItem]="tabList.ID"
                            *ngFor="let tabList of tab.list">
                            <a
                                ngbNavLink
                                (click)="tab.title = tabList.label">
                                {{ tabList.label[appService.lang] | titlecase }}
                            </a>
                            <ng-template ngbNavContent>
                                <ng-template [dynamicComponent]="tabList.component"></ng-template>
                                <ng-container *ngTemplateOutlet="transRegisteredInfo"></ng-container>
                            </ng-template>
                        </li>
                    </ul>
                </div>
            </div>
            <div [ngbNavOutlet]="tabContent" class="mt-2"></div>
        </div>
    </div>
</div>
<ng-template #transRegisteredInfo>
    <div class="transaction-registered-info">
        <div class="toolbars pr-3 pb-2 pl-3">
            <div class="d-table w-100">
                <div class="d-table-cell col-button">
                    <button
                        type="button"
                        class="btn btn-secondary mr-1"
                        [ngClass]="{
                            'has-focus': transRegisteredService.service.operate.table.filter.showForm
                        }"
                        [disabled]="(transRegisteredService.service.operate.table.service.searching$ | async)"
                        ngbTooltip="{{ 'filter' | translate | titlecase }}"
                        title="{{ 'filter' | translate | titlecase }}"
                        (click)="transRegisteredService.service.operate.table.filter.showForm = !transRegisteredService.service.operate.table.filter.showForm">
                        <i class="fas fa-filter text-white size16"></i>
                    </button>
                    <button
                        type="button"
                        class="btn btn-secondary"
                        [ngClass]="{
                            'has-focus': (transRegisteredService.service.operate.table.service.searching$ | async)
                        }"
                        [disabled]="(transRegisteredService.service.operate.table.service.searching$ | async)"
                        ngbTooltip="{{ 'reload' | translate | titlecase }}"
                        title="{{ 'reload' | translate | titlecase }}"
                        (click)="transRegisteredService.service.operate.table.service.reload(transRegisteredService.service.paymentStatus)">
                        <i class="fas fa-sync-alt text-white size16" *ngIf="!(transRegisteredService.service.operate.table.service.searching$ | async)"></i>
                        <i class="fas fa-sync-alt fa-spin text-white size16" *ngIf="(transRegisteredService.service.operate.table.service.searching$ | async)"></i>
                    </button>
                </div>
                <div class="d-table-cell text-right col-recordcount">
                    <span
                        class="regular size15"
                        *ngIf="!(transRegisteredService.service.operate.table.service.searching$ | async)">
                        {{ appService.getTextRecordCount((transRegisteredService.service.operate.table.service.total$ | async), (transRegisteredService.service.operate.table.service.totalSearch$ | async)) }}
                    </span>
                </div>
            </div>
        </div>
        <div
            class="filter form bg-secondary pt-2 pr-3 pb-0 pl-3"
            *ngIf="transRegisteredService.service.operate.table.filter.showForm">
            <div class="card">
                <div class="card-header p-0">
                    <span class="bold text-white size18">
                        {{ 'filter' | translate | titlecase }}
                    </span>
                </div>
                <div class="card-body p-0 pt-1">
                    <div class="form">
                        <div class="form-row d-table">
                            <div class="form-group col-md-6 pl-0">
                                <label
                                    class="regular text-white size16"
                                    for="keyword">
                                    {{ 'keyword' | translate | titlecase }}
                                </label>
                                <input
                                    trimOnBlur
                                    type="text"
                                    class="form-control inputbox regular size16"
                                    name="keyword"
                                    [(ngModel)]="transRegisteredService.service.operate.table.service.keyword"
                                />
                            </div>
                            <div class="form-group col-md-6 pr-0">
                                <label
                                    class="regular text-white size16"
                                    for="project-category">
                                    {{ 'project.category' | translate | titlecase }}
                                </label>
                                <ng-select
                                    placeholder="{{ 'placeholder.selectItem' | translate | titlecase }}"
                                    name="project-category"
                                    [(ngModel)]="transRegisteredService.service.operate.table.service.projectCategory">
                                    <ng-option
                                        *ngFor="let item of data.projectCategory$"
                                        [value]="item.initial">
                                        {{ item.name[appService.lang] | titlecase }}
                                    </ng-option>
                                </ng-select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div
            class="card-group card-striped"
            *ngIf="!(transRegisteredService.service.operate.table.service.searching$ | async)">
            <div
                class="card-col pr-0 pl-0 w-100"
                *ngFor="
                    let transRegistered of transRegisteredService.service.operate.table.service.data$ | async;
                    index as order;
                    let last = last
                ">
                <div class="card card-horizontal border-0 rounded-0 project-card-horizontal">
                    <div class="card-body pt-0 pr-3 pb-3 pl-3 project-body">
                        <div class="card-text">
                            <div class="d-table w-100">
                                <div class="d-table-cell col-sm-3 w-25 pr-0 pl-0 align-top">
                                    <ng-container
                                        *ngTemplateOutlet="
                                            titleInfo;
                                            context: {
                                                data: transRegistered, cardType: 'horizontal'
                                            }">
                                    </ng-container>
                                </div>
                                <div class="d-table-cell col-sm-9 w-75 pt-2 pr-0 align-top">
                                    <ng-container
                                        *ngTemplateOutlet="
                                            projectInfo;
                                            context: {
                                                data: transRegistered
                                            }">
                                    </ng-container>
                                    <div class="mt-2 hide">
                                        <ng-container
                                            *ngTemplateOutlet="
                                                projectAboutResultInfo;
                                                context: {
                                                    data: transRegistered
                                                }">
                                        </ng-container>
                                    </div>
                                    <div class="mt-3 hide">
                                        <ng-container
                                            *ngTemplateOutlet="
                                                registerInfo;
                                                context: {
                                                    data: transRegistered
                                                }">
                                        </ng-container>
                                    </div>
                                    <div class="mt-3 hide text-right">
                                        <ng-container
                                            *ngTemplateOutlet="
                                                registeredInfo;
                                                context: {
                                                    data: transRegistered
                                                }">
                                        </ng-container>
                                    </div>
                                </div>
                            </div>
                            <div class="d-block wrap wrap-step1">
                                <div class="mt-2">
                                    <ng-container
                                        *ngTemplateOutlet="
                                            projectAboutResultInfo;
                                            context: {
                                                data: transRegistered
                                            }">
                                    </ng-container>
                                </div>
                                <div class="mt-3">
                                    <ng-container
                                        *ngTemplateOutlet="
                                            registerInfo;
                                            context: {
                                                data: transRegistered
                                            }">
                                    </ng-container>
                                </div>
                                <div class="mt-3 text-right">
                                    <ng-container
                                        *ngTemplateOutlet="
                                            registeredInfo;
                                            context: {
                                                data: transRegistered
                                            }">
                                    </ng-container>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #datetimeVerticalInfo
    let-data="data">
    <div
        class="datetime-vertical bold text-body"
        *ngIf="data">
        <div class="day bolder size24">
            <div>
                {{ data | slice:5:6 }}
            </div>
            <div>
                {{ data | slice:6:7 }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="month size16">
            <div>
                {{ (data | slice:8:9) | uppercase }}
            </div>
            <div>
                {{ (data | slice:9:10) | uppercase }}
            </div>
            <div>
                {{ (data | slice:10:11) | uppercase }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="year size14">
            <div>
                {{ data | slice:12:13 }}
            </div>
            <div>
                {{ data | slice:13:14 }}
            </div>
            <div>
                {{ data | slice:14:15 }}
            </div>
            <div>
                {{ data | slice:15:16 }}
            </div>
        </div>
        <div class="clearfix"></div>
        <div class="time size11 text-secondary">
            <div>
                {{ data | slice:17:18 }}
            </div>
            <div>
                {{ data | slice:18:19 }}
            </div>
            <div>
                {{ data | slice:19:20 }}
            </div>
            <div>
                {{ data | slice:20:21 }}
            </div>
            <div>
                {{ data | slice:21:22 }}
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</ng-template>
<ng-template
    #titleInfo
    let-data="data"
    let-cardType="cardType">
    <div class="title-info project-title-info">
        <div class="embed-responsive embed-responsive-16by9 project-logo">
            <div
                class="card-img project-card-img"
                [ngStyle]="{
                    'background-image': ('url(' + data.transProject.project.logo + ')')
                }">
            </div>
            <a
                class="enlarge"
                href="javascript:void(0)"
                (click)="appService.enlargeImage(data.transProject.project.logo)">
                <i class="fas fa-expand text-white size18"></i>
            </a>
        </div>
        <div class="card-title hide mt-07 mb-0">
            <div
                class="float-left"
                *ngIf="data.transProject.examDate.startDate">
                <ng-container
                    *ngTemplateOutlet="
                        datetimeVerticalInfo;
                        context: {
                            data: data.transProject.examDate.startDate
                        }">
                </ng-container>
            </div>
            <div
                class="float-left"
                *ngIf="data.transProject.examDate.endDate">
                <div class="d-table">
                    <div class="d-table-cell align-middle">
                        <span class="bolder size20">
                            &nbsp;-&nbsp;
                        </span>
                    </div>
                    <div class="d-table-cell">
                        <ng-container
                            *ngTemplateOutlet="
                                datetimeVerticalInfo;
                                context: {
                                    data: data.transProject.examDate.endDate
                                }">
                        </ng-container>
                    </div>
                </div>
            </div>
            <div class="float-right line-height-0">
                <div
                    ngbDropdown
                    class="text-right project-dropdown"
                    placement="{{ cardType === 'horizontal' ? 'top-left' : 'bottom-right' }}">
                    <a
                        ngbDropdownToggle
                        class="badge badge-pill badge-dark btn-contact-info"
                        href="javascript:void(0)">
                        <i class="fas fa-phone text-white size11"></i>
                    </a>
                    <div
                        ngbDropdownMenu
                        class="contact-info"
                        aria-labelledby="contact-info">
                        <div class="dropdown-menu-inner">
                            <ng-container
                                *ngTemplateOutlet="
                                    contactInfo;
                                    context: {
                                        data: data.transProject.contactPerson,
                                        isDropdown: true
                                    }">
                            </ng-container>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</ng-template>
<ng-template
    #projectInfo
    let-data="data">
    <div class="project-info">
        <div>
            <a
                class="link text-wrap bold size20"
                [routerLink]="['../Detail', data.CUID]"
                routerLinkActive="active">
                {{ data.transProject.project.name[appService.lang] }}
            </a>
        </div>
        <div
            class="regular text-dark size15"
            *ngIf="data.transProject.description[appService.lang]">
            {{ data.transProject.description[appService.lang] }}
        </div>
        <div
            class="regular text-dark mt-1 mb-1 project-openonlyfor-info"
            *ngIf="appService.doIsEmptyObject(data.transProject.userTypeSpecific) === false">
            <span class="bold size15">
                {{ 'openOnlyFor' | translate | lowercase }}
            </span>
            <div
                class="usertype text-dark mt-1"
                *ngFor="let userTypeSpecific of data.transProject.userTypeSpecific | keyvalue: appService.doObjectUnsorted">
                - {{ ('userType.' + userTypeSpecific.key) | translate | lowercase }}
                <div
                    class="usertype-property text-muted size12"
                    *ngIf="appService.doIsEmptyObject(userTypeSpecific.value) === false">
                    <div *ngFor="let userTypeSpecificProperty of userTypeSpecific.value | keyvalue">
                        {{ ('userType.property.' + userTypeSpecificProperty.key) | translate | lowercase }}
                        {{ userTypeSpecificProperty.value }}
                    </div>
                </div>
            </div>
        </div>
        <a
            class="link regular size14"
            routerLink="../../../Project/{{data.transProject.project.category.initial}}">
            #{{ data.transProject.project.category.name[appService.lang] | titlecase }}
        </a>
    </div>
</ng-template>
<ng-template
    #projectAboutResultInfo
    let-data="data">
    <div class="aboutresult-info project-aboutresult-info">
        <div class="d-inline-block badge-inline badge-projectabout">
            <a
                class="d-block badge badge-pill badge-light-dark w-auto project-btn-badge"
                href="javascript:void(0)"
                (click)="
                    registeredLocationIDNoSeatNo.isCollapsed[data.ID] = false;
                    examScore.isCollapsed[data.ID] = false;
                    sectionSchedule.isCollapsed[data.ID] = false;
                    studyResultsTranscript.isCollapsed[data.ID] = false;
                    projectAbout.isCollapsed[data.ID] = !projectAbout.isCollapsed[data.ID]
                "
                [attr.aria-expanded]="projectAbout.isCollapsed[data.ID] === undefined ? false : projectAbout.isCollapsed[data.ID]"
                aria-controls="projectAbout">
                <span class="regular size13">
                    {{ 'about' | translate | lowercase }}
                </span>
            </a>
        </div>
        <div
            class="d-inline-block badge-inline badge-registeredlocationidnoseatno ml-2"
            *ngIf="data.transProject.project.isExam === 'Y'">
            <a
                class="d-block badge badge-pill badge-light-dark w-auto project-btn-badge"
                href="javascript:void(0)"
                (click)="
                    projectAbout.isCollapsed[data.ID] = false;
                    examScore.isCollapsed[data.ID] = false;
                    sectionSchedule.isCollapsed[data.ID] = false;
                    studyResultsTranscript.isCollapsed[data.ID] = false;
                    registeredLocationIDNoSeatNo.isCollapsed[data.ID] = !registeredLocationIDNoSeatNo.isCollapsed[data.ID]
                "
                [attr.aria-expanded]="registeredLocationIDNoSeatNo.isCollapsed[data.ID] === undefined ? false : registeredLocationIDNoSeatNo.isCollapsed[data.ID]"
                aria-controls="registeredLocationIDNoSeatNo">
                <span class="regular size13">
                    {{ ('location.examType.' + data.transProject.project.examType + '.label') | translate | lowercase }} / {{ 'idNo.abbreviations' | translate | lowercase }} / {{ ('seat.examType.' + data.transProject.project.examType + '.seatNo') | translate | lowercase }}
                </span>
            </a>
        </div>
        <div
            class="d-inline-block badge-inline badge-examscore ml-2"
            *ngIf="data.transProject.project.isExam === 'Y'">
            <a
                class="d-block badge badge-pill badge-light-dark w-auto project-btn-badge"
                href="javascript:void(0)"
                (click)="
                    projectAbout.isCollapsed[data.ID] = false;
                    registeredLocationIDNoSeatNo.isCollapsed[data.ID] = false;
                    sectionSchedule.isCollapsed[data.ID] = false;
                    studyResultsTranscript.isCollapsed[data.ID] = false;
                    examScore.isCollapsed[data.ID] = !examScore.isCollapsed[data.ID]
                "
                [attr.aria-expanded]="examScore.isCollapsed[data.ID] === undefined ? false : examScore.isCollapsed[data.ID]"
                aria-controls="examScore">
                <span class="regular size13">
                    {{ 'score' | translate | lowercase }}
                </span>
            </a>
        </div>
        <div
            class="d-inline-block badge-inline badge-sectionschedule ml-2"
            *ngIf="data.transProject.project.isTeaching === 'Y'">
            <a
                class="d-block badge badge-pill badge-light-dark w-auto project-btn-badge"
                href="javascript:void(0)"
                (click)="
                    projectAbout.isCollapsed[data.ID] = false;
                    registeredLocationIDNoSeatNo.isCollapsed[data.ID] = false;
                    examScore.isCollapsed[data.ID] = false;
                    studyResultsTranscript.isCollapsed[data.ID] = false;
                    sectionSchedule.isCollapsed[data.ID] = !sectionSchedule.isCollapsed[data.ID]
                "
                [attr.aria-expanded]="sectionSchedule.isCollapsed[data.ID] === undefined ? false : sectionSchedule.isCollapsed[data.ID]"
                aria-controls="sectionSchedule">
                <span class="regular size13">
                    {{ 'section.label' | translate | lowercase}} / {{'schedule.label' | translate | lowercase }}
                </span>
            </a>
        </div>
        <div
            class="d-inline-block badge-inline badge-studyresultstranscript ml-2"
            *ngIf="data.transProject.project.isTeaching === 'Y'">
            <a
                class="d-block badge badge-pill badge-light-dark w-auto project-btn-badge"
                href="javascript:void(0)"
                (click)="
                    projectAbout.isCollapsed[data.ID] = false;
                    registeredLocationIDNoSeatNo.isCollapsed[data.ID] = false;
                    examScore.isCollapsed[data.ID] = false;
                    sectionSchedule.isCollapsed[data.ID] = false;
                    studyResultsTranscript.isCollapsed[data.ID] = !studyResultsTranscript.isCollapsed[data.ID]
                "
                [attr.aria-expanded]="studyResultsTranscript.isCollapsed[data.ID] === undefined ? false : studyResultsTranscript.isCollapsed[data.ID]"
                aria-controls="studyResultsTranscript">
                <span class="regular size13">
                    {{ 'studyResults.label' | translate | lowercase }} / {{ 'transcript.aka' | translate | lowercase }}
                </span>
            </a>
        </div>
        <p class="regular text-black-50 size16 line-clamp mt-2 mb-0">
            <span
                id="projectAbout"
                [ngbCollapse]="!projectAbout.isCollapsed[data.ID]">
                <span class="text-justify-distribute" [innerHTML]="data.transProject.project.about[appService.lang] | nl2br"></span>
                <div class="text-dark mt-2">
                    <span *ngIf="data.transProject.project.isExam === 'Y'">
                        {{ 'event.timePeriod.exam' | translate | titlecase }}
                    </span>
                    <span *ngIf="data.transProject.project.isTeaching === 'Y'">
                        {{ 'event.timePeriod.teaching' | translate | titlecase }}
                    </span>
                </div>
                <div class="project-register-info">
                    <div class="form">
                        <div
                            class="form-group w-100 row mr-0 mb-0 ml-0"
                            *ngIf="data.transProject.examDate.startDate">
                            <label
                                class="col-form-label"
                                for="col-eventstartdate">
                                {{ 'start' | translate | titlecase }}
                            </label>
                            <div class="col">
                                <div class="d-table w-100 size-l calendar-date">
                                    <div class="d-table-row">
                                        <div class="d-table-cell align-middle col-calendar">
                                            <span>
                                                {{ data.transProject.examDate.startDate ? (data.transProject.examDate.startDate | slice:0:16) : '' }}
                                            </span>
                                        </div>
                                        <div class="d-table-cell align-middle col-clock">
                                            <span
                                                class="font-tahoma size14">
                                                {{ data.transProject.examDate.startDate ? (data.transProject.examDate.startDate | slice:16:22) : '' }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div
                            class="form-group w-100 row mr-0 mb-0 ml-0"
                            *ngIf="data.transProject.examDate.endDate">
                            <label
                                class="col-form-label"
                                for="col-eventenddate">
                                {{ 'end' | translate | titlecase }}
                            </label>
                            <div class="col">
                                <div class="d-table w-100 size-l calendar-date">
                                    <div class="d-table-row">
                                        <div class="d-table-cell align-middle col-calendar">
                                            <span>
                                                {{ data.transProject.examDate.endDate ? (data.transProject.examDate.endDate | slice:0:16) : '' }}
                                            </span>
                                        </div>
                                        <div class="d-table-cell align-middle col-clock">
                                            <span class="font-tahoma size14">
                                                {{ data.transProject.examDate.endDate ? (data.transProject.examDate.endDate | slice:16:22) : '' }}
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="text-dark mt-2">
                    {{ 'contact.label' | translate | titlecase }}
                </div>
                <div>
                    <ng-container
                        *ngTemplateOutlet="
                        contactInfo;
                        context: {
                            data: data.transProject.contactPerson,
                            isDropdown: false
                        }">
                    </ng-container>
                </div>
            </span>
            <span
                id="registeredLocationIDNoSeatNo"
                [ngbCollapse]="!registeredLocationIDNoSeatNo.isCollapsed[data.ID]">
                {{ data.transLocation.location.name[appService.lang] }}
                <br />
                {{ data.transLocation.location.building.name[appService.lang] }}
                <br />
                <div *ngIf="data.invoice.payment.status === 'Y'">
                    <span>
                        {{ 'idNo.label' | translate | titlecase }}
                        :
                        <span class="bold text-dark">
                            {{ data.applicantNO ? data.applicantNO : 'n/a' }}
                        </span>
                    </span>
                    <br />
                    <span>
                        {{ ('seat.examType.' + data.transProject.project.examType + '.seatNo') | translate | titlecase }}
                        :
                        <span class="bold text-dark">
                            {{ data.seatNO ? data.seatNO : 'n/a' }}
                        </span>
                    </span>
                </div>
            </span>
            <span
                id="examScore"
                [ngbCollapse]="!examScore.isCollapsed[data.ID]">
                <span
                    class="bold"
                    *ngIf="data.transScore.examResult"
                    [ngClass]="{
                        'text-success': (data.transScore.examResult === 'PASS'),
                        'text-danger': (data.transScore.examResult === 'FAIL')
                    }">
                    {{ data.transScore.totalScore !== null  ? (data.transScore.totalScore | number: '.2') : 'n/a' }}
                    <br />
                    {{ data.transScore.examResult | translate | titlecase }}
                </span>
                <span
                    class="bold text-dark"
                    *ngIf="!data.transScore.examResult">
                    n/a
                </span>
            </span>
            <span
                id="sectionSchedule"
                [ngbCollapse]="!sectionSchedule.isCollapsed[data.ID]">
                {{ data.transLocation.location.name[appService.lang] }}
                <br />
                {{ 'teachingType.onlineClass' | translate | titlecase }}
                <br />
                <a
                    class="link regular size14"
                    href="javascript:void(0)"
                    (click)="scheduleService.getModalTransSchedule(data.transProject)">
                    #{{ 'schedule.label' | translate | titlecase }}
                </a>
            </span>
            <span
                id="studyResultsTranscript"
                [ngbCollapse]="!studyResultsTranscript.isCollapsed[data.ID]">
                <span class="bold text-dark">
                    n/a
                </span>
            </span>
        </p>
    </div>
</ng-template>
<ng-template
    #registerInfo
    let-data="data">
    <div class="register-info project-register-info">
        <div class="d-table w-100">
            <div class="d-table-row">
                <div class="d-table-cell registered-info">
                    <div class="regular size16">
                        <div class="form">
                            <div class="form-group w-100 row mb-01">
                                <label
                                    class="col-form-label"
                                    for="col-registereddate">
                                    {{ 'registered.on' | translate | titlecase }}
                                </label>
                                <div class="col">
                                    <div
                                        class="d-table w-100 size-l calendar-date"
                                        *ngIf="data.registeredDate">
                                        <div class="d-table-row">
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-calendar-alt"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-calendar">
                                                <span>
                                                    {{ data.registeredDate ? (data.registeredDate | slice:0:16) : '' }}
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-clock">
                                                <span class="font-tahoma size14">
                                                    {{ data.registeredDate ? (data.registeredDate | slice:16:22) : '' }}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group w-100 row mb-01 wrap wrap-step2">
                                <label
                                    class="col-form-label"
                                    for="col-registrationfee">
                                    {{ 'project.registrationFee' | translate | titlecase }}
                                </label>
                                <div class="col">
                                    <div class="form-text">
                                        <span
                                            class="regular"
                                            [ngClass]="{
                                                'strike': data.invoice.privilege.promoCode,
                                                'text-muted': data.invoice.privilege.promoCode
                                            }">
                                            {{ (data.invoice.payment.status === 'Y' || data.invoice.payment.status === 'W') ? ((data.invoice.payment.amount ? (data.invoice.payment.amount | number: '.2') : (data.totalFeeAmount ? (data.totalFeeAmount | number: '.2') : '')) + ' ' + ('unit.baht' | translate | titlecase)) : '' }}
                                            {{ data.invoice.payment.status === 'N' ? (data.totalFeeAmount ? ((data.totalFeeAmount | number: '.2') + ' ' + ('unit.baht' | translate | titlecase)) : '') : '' }}
                                        </span>
                                        <div *ngIf="data.invoice.privilege.promoCode">
                                            {{ (data.invoice.payment.amount >= data.invoice.privilege.discount) ? (data.invoice.payment.amount - data.invoice.privilege.discount) : 0 }} {{ 'unit.baht' | translate | titlecase }}
                                            <span class="ml-1">
                                                <a
                                                    class="link regular size14"
                                                    href="javascript:void(0)"
                                                    (click)="privilegeService.getModalPrivilegeUsed(data.invoice.privilege)">
                                                    #{{ 'privilege.used' | translate | titlecase }}
                                                </a>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div
                                class="form-group w-100 row mb-01"
                                *ngIf="data.invoice.payment.status !== 'N'">
                                <label
                                    class="col-form-label"
                                    for="col-confirmdateofpayment">
                                    {{ 'invoice.confirmPayment.on' | translate | titlecase }}
                                </label>
                                <div class="col">
                                    <div
                                        class="d-table w-100 size-l calendar-date"
                                        *ngIf="data.invoice.payment.confirmDate">
                                        <div class="d-table-row">
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-calendar-alt"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-calendar">
                                                <span>
                                                    {{ data.invoice.payment.confirmDate ? (data.invoice.payment.confirmDate | slice:0:16) : '' }}
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-clock">
                                                <span class="font-tahoma size14">
                                                    {{ data.invoice.payment.confirmDate ? (data.invoice.payment.confirmDate | slice:16:22) : '' }}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div
                                class="form-group w-100 row mb-01"
                                *ngIf="data.invoice.payment.status !== 'Y'">
                                <label
                                    class="col-form-label"
                                    for="col-dateofpayment">
                                    {{ 'project.lastPaymentDate' | translate | titlecase }}
                                </label>
                                <div class="col">
                                    <div
                                        class="d-table w-100 size-l calendar-date"
                                        *ngIf="
                                            data.transProject.lastPaymentDate &&
                                            data.transProject.paymentExpire !== 'Y'
                                        ">
                                        <div class="d-table-row">
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="text-danger size22">
                                                    <i class="fas fa-calendar-alt"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-calendar">
                                                <span class="text-danger">
                                                    {{ data.transProject.lastPaymentDate ? (data.transProject.lastPaymentDate | slice:0:16) : '' }}
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="text-danger size22">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-clock">
                                                <span class="font-tahoma text-danger size14">
                                                    {{ data.transProject.lastPaymentDate ? (data.transProject.lastPaymentDate | slice:16:22) : '' }}
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                    <span
                                        class="form-text regular text-danger"
                                        *ngIf="data.transProject.paymentExpire === 'Y'">
                                        {{ 'paymentExpire' | translate | titlecase }}
                                    </span>
                                </div>
                            </div>
                            <div
                                class="form-group w-100 row mb-01"
                                *ngIf="data.invoice.payment.status === 'Y'">
                                <label
                                    class="col-form-label"
                                    for="col-registeredsuccessfulpayment">
                                    {{ 'invoice.successfulPayment.on' | translate | titlecase }}
                                </label>
                                <div class="col">
                                    <div
                                        class="d-table w-100 size-l calendar-date">
                                        <div
                                            class="d-table-row"
                                            *ngIf="data.invoice.payment.date">
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-calendar-alt"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-calendar">
                                                <span>
                                                    {{ data.invoice.payment.date ? (data.invoice.payment.date | slice:0:16) : '' }}
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-icon">
                                                <span class="size22">
                                                    <i class="fas fa-clock"></i>
                                                </span>
                                            </div>
                                            <div class="d-table-cell align-middle col-clock">
                                                <span class="font-tahoma size14">
                                                    {{ data.invoice.payment.date ? (data.invoice.payment.date | slice:16:22) : '' }}
                                                </span>
                                            </div>
                                        </div>
                                        <div
                                            class="d-table-row"
                                            *ngIf="!data.invoice.payment.date">
                                            <div class="d-table-cell">
                                                <span>
                                                    n/a
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #registeredInfo
    let-data="data">
    <div class="registered-info">
        <div class="d-inline-block jumbotron rounded-xl bg-dark text-left pt-2 pr-3 pb-1 pl-3 mr-2 mb-0 jumbotron-registrationfee">
            <div class="regular text-white-50 size14">
                {{ 'project.registrationFee' | translate | titlecase }}
            </div>
            <div class="jumbotron-body">
                <div class="regular text-white bold size20">
                    <span
                        [ngClass]="{
                            'strike': data.invoice.privilege.promoCode,
                            'text-muted': data.invoice.privilege.promoCode
                        }">
                        {{ (data.invoice.payment.status === 'Y' || data.invoice.payment.status === 'W') ? ((data.invoice.payment.amount ? (data.invoice.payment.amount | number: '.2') : (data.totalFeeAmount ? (data.totalFeeAmount | number: '.2') : '')) + ' ' + ('unit.baht' | translate | titlecase)) : '' }}
                        {{ data.invoice.payment.status === 'N' ? (data.totalFeeAmount ? ((data.totalFeeAmount | number: '.2') + ' ' + ('unit.baht' | translate | titlecase)) : '') : '' }}
                    </span>
                    <div *ngIf="data.invoice.privilege.promoCode">
                        <div>
                            <div class="float-left">
                                {{ (data.invoice.payment.amount >= data.invoice.privilege.discount) ? (data.invoice.payment.amount - data.invoice.privilege.discount) : 0 }} {{ 'unit.baht' | translate | titlecase }}
                            </div>
                            <div class="float-right">
                                <a
                                    class="link regular size14"
                                    href="javascript:void(0)"
                                    (click)="privilegeService.getModalPrivilegeUsed(data.invoice.privilege)">
                                    #{{ 'privilege.used' | translate | titlecase }}
                                </a>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
        </div>
        <div
            class="d-inline-block jumbotron rounded-xl cursor-pointer text-left pt-2 pr-3 pb-1 pl-3 mb-0 jumbotron-paymentstatus"
            [routerLink]="['../Detail', data.CUID]"
            routerLinkActive="active"
            [ngClass]="{
                'bg-success': (data.invoice.payment.status === 'Y'),
                'bg-warning': (data.invoice.payment.status === 'W'),
                'bg-secondary ': (data.invoice.payment.status === 'N')
            }">
            <div class="regular text-black-50 size14">
                {{ 'invoice.paymentStatus' | translate | titlecase }}
            </div>
            <div class="jumbotron-body">
                <span
                    class="bold text-white size20">
                    {{ (dataService.statuses.get(dataService.paymentStatus.data$, data.invoice.payment.status)).name[appService.lang] | titlecase }}
                </span>
            </div>
        </div>
    </div>
</ng-template>
<ng-template
    #contactInfo
    let-data="data"
    let-isDropdown="isDropdown">
    <div
        class="contact-info project-contact-info"
        [ngClass]="{
            'text-white': isDropdown,
            'text-black-50': !isDropdown,
            'size14': isDropdown,
            'size16': !isDropdown
        }">
        <div
            class="form"
            *ngFor="
                let contactPerson of data;
                index as order
            ">
            <div
                class="dropdown-divider mt-2 mb-2"
                *ngIf="order > 0">
            </div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-name"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i class="fas fa-address-book"></i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.fullName[appService.lang] | titlecase }}
                    </span>
                </div>
            </div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-email"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i class="fas fa-envelope"></i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.email | lowercase }}
                    </span>
                </div>
            </div>
            <div class="form-group row mr-0 mb-0 ml-0">
                <label
                    class="col-form-label pb-0"
                    for="col-phone"
                    [ngClass]="{
                        'pt-0': isDropdown,
                        'pt-015': !isDropdown
                    }">
                    <i class="fas fa-phone"></i>
                </label>
                <div class="col text-left">
                    <span class="form-text regular mt-0">
                        {{ contactPerson.phoneNumber }}
                    </span>
                </div>
            </div>
        </div>
    </div>
</ng-template>
